package org.robert.printer;

import javax.swing.SwingUtilities;

import org.robert.printer.ui.Tray;
import org.robert.printer.ws.PrintersSocketServer;

/**
 * Hello world!
 *
 */
public class App {

	private static Tray tray;

	/**
	 *
	 * @param args
	 */
	public static void main(String[] args) {
		try {
			SwingUtilities.invokeAndWait(new Runnable() {
				public void run() {
					tray = new Tray();
					tray.start();
				}
			});

			tray.setupServer(new PrintersSocketServer());
		} catch (Exception e) {
			e.printStackTrace();

			System.exit(0);
		}
	}
}
